Debian Bug report logs - #181576
debiandoc-sgml-doc: source sgml should not be included in binary distribution

version graph

Package: debiandoc-sgml-doc; Maintainer for debiandoc-sgml-doc is Osamu Aoki <osamu@debian.org>; Source for debiandoc-sgml-doc is src:debiandoc-sgml-doc.

Reported by: Osamu Aoki <osamu@debian.org>

Date: Wed, 19 Feb 2003 05:48:02 UTC

Severity: wishlist

Found in version 1.1.13

Fixed in version debiandoc-sgml-doc/1.1.14

Done: Ardo van Rangelrooij <ardo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml-doc@packages.qa.debian.org:
Bug#181576; Package debiandoc-sgml-doc. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
New Bug report received and forwarded. Copy sent to Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml-doc@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: debiandoc-sgml-doc: source sgml should not be included in binary distribution
Date: Tue, 18 Feb 2003 21:42:18 -0800
Package: debiandoc-sgml-doc
Version: 1.1.13
Severity: wishlist

Even though it is quite useful for package like this to contain SGML
source file as a part of binary package, I think it is  against thge
spirit of binary distribution to include source file.  Reason: Debian 
is not FreeBSD.

I think it is good idea to pint out in README.Debian as:

The souce file for this documentation can be obtained by following
method:

1.  Include "deb-src" line in "/etc/sources.list".  Such as:
    deb-src http://ftp.us.debian.org/debian/ unstable main
    See details in manual page sources.list (5).
2.  Run "apt-get source debiandoc-sgml-doc"

This is reflection of discussion Ardo and others had on debian-doc.

You are free to disagree.  If so, please mark this "wontfix" :-)
After all you know better.

Osamu

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux dambo 2.4.20-686 #1 Mon Jan 13 22:22:30 EST 2003 i686
Locale: LANG=C, LC_CTYPE=en_US.ISO-8859-1 (ignored: LC_ALL set)

-- no debconf information


-- 
~\^o^/~~~ ~\^.^/~~~ ~\^*^/~~~ ~\^_^/~~~ ~\^+^/~~~ ~\^:^/~~~ ~\^v^/~~~ +++++
        Osamu Aoki <osamu@debian.org>   Cupertino CA USA, GPG-key: A8061F32
 .''`.  Debian Reference: post-installation user's guide for non-developers
 : :' : http://qref.sf.net and http://people.debian.org/~osamu
 `. `'  "Our Priorities are Our Users and Free Software" --- Social Contract




Information forwarded to debiandoc-sgml-doc@packages.qa.debian.org:
Bug#181576; Package debiandoc-sgml-doc. Full text and rfc822 format available.

Acknowledgement sent to Ardo van Rangelrooij <ardo@debian.org>:
Extra info received and filed, but not forwarded. Copy sent to debiandoc-sgml-doc@packages.qa.debian.org.

You requested that the message be sent to the package maintainer(s) but either the Bug report is not associated with any package (probably because of a missing Package pseudo-header field in the original Bug report), or the package(s) specified do not have any maintainer(s).

Your message has *not* been sent to any package maintainers; it has merely been filed in the Bug tracking system. If you require assistance please contact owner@bugs.debian.org quoting the Bug number 181576.

Full text and rfc822 format available.


Message #10 received at 181576-maintonly@bugs.debian.org (full text, mbox):

From: Ardo van Rangelrooij <ardo@debian.org>
To: Osamu Aoki <osamu@debian.org>, 181576-maintonly@bugs.debian.org
Subject: Re: Bug#181576: debiandoc-sgml-doc: source sgml should not be included in binary distribution
Date: Wed, 19 Feb 2003 05:35:16 -0600
Hi,

You're right, the source shouldn't be included.  I remember there being a
discussion about this.  I'll remove it from the next upload.

Thanks,
Ardo

Osamu Aoki (osamu@debian.org) wrote:
> Package: debiandoc-sgml-doc
> Version: 1.1.13
> Severity: wishlist
> 
> Even though it is quite useful for package like this to contain SGML
> source file as a part of binary package, I think it is  against thge
> spirit of binary distribution to include source file.  Reason: Debian 
> is not FreeBSD.
> 
> I think it is good idea to pint out in README.Debian as:
> 
> The souce file for this documentation can be obtained by following
> method:
> 
> 1.  Include "deb-src" line in "/etc/sources.list".  Such as:
>     deb-src http://ftp.us.debian.org/debian/ unstable main
>     See details in manual page sources.list (5).
> 2.  Run "apt-get source debiandoc-sgml-doc"
> 
> This is reflection of discussion Ardo and others had on debian-doc.
> 
> You are free to disagree.  If so, please mark this "wontfix" :-)
> After all you know better.
> 
> Osamu
> 
> -- System Information:
> Debian Release: testing/unstable
> Architecture: i386
> Kernel: Linux dambo 2.4.20-686 #1 Mon Jan 13 22:22:30 EST 2003 i686
> Locale: LANG=C, LC_CTYPE=en_US.ISO-8859-1 (ignored: LC_ALL set)
> 
> -- no debconf information
> 
> 
> -- 
> ~\^o^/~~~ ~\^.^/~~~ ~\^*^/~~~ ~\^_^/~~~ ~\^+^/~~~ ~\^:^/~~~ ~\^v^/~~~ +++++
>         Osamu Aoki <osamu@debian.org>   Cupertino CA USA, GPG-key: A8061F32
>  .''`.  Debian Reference: post-installation user's guide for non-developers
>  : :' : http://qref.sf.net and http://people.debian.org/~osamu
>  `. `'  "Our Priorities are Our Users and Free Software" --- Social Contract

-- 
Ardo van Rangelrooij
home email: ardo@debian.org
home page:  http://people.debian.org/~ardo
GnuPG fp:   3B 1F 21 72 00 5C 3A 73  7F 72 DF D9 90 78 47 F9



Reply sent to Ardo van Rangelrooij <ardo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Osamu Aoki <osamu@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 181576-close@bugs.debian.org (full text, mbox):

From: Ardo van Rangelrooij <ardo@debian.org>
To: 181576-close@bugs.debian.org
Subject: Bug#181576: fixed in debiandoc-sgml-doc 1.1.14
Date: Sat, 08 Mar 2003 18:17:06 -0500
We believe that the bug you reported is fixed in the latest version of
debiandoc-sgml-doc, which is due to be installed in the Debian FTP archive:

debiandoc-sgml-doc_1.1.14.dsc
  to pool/main/d/debiandoc-sgml-doc/debiandoc-sgml-doc_1.1.14.dsc
debiandoc-sgml-doc_1.1.14.tar.gz
  to pool/main/d/debiandoc-sgml-doc/debiandoc-sgml-doc_1.1.14.tar.gz
debiandoc-sgml-doc_1.1.14_all.deb
  to pool/main/d/debiandoc-sgml-doc/debiandoc-sgml-doc_1.1.14_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 181576@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ardo van Rangelrooij <ardo@debian.org> (supplier of updated debiandoc-sgml-doc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Sat,  8 Mar 2003 17:08:20 -0600
Source: debiandoc-sgml-doc
Binary: debiandoc-sgml-doc
Architecture: source all
Version: 1.1.14
Distribution: unstable
Urgency: low
Maintainer: Ardo van Rangelrooij <ardo@debian.org>
Changed-By: Ardo van Rangelrooij <ardo@debian.org>
Description: 
 debiandoc-sgml-doc - Documentation for DebianDoc-SGML
Closes: 181576
Changes: 
 debiandoc-sgml-doc (1.1.14) unstable; urgency=low
 .
   * debian/control: upgraded to Debian Policy 3.5.8 (no changes)
   * debian/rules: moved debhelper compatibility level setting to
     'debian/compat' per latest debhelper best practices
   * Removed document sources from binary package and indicated in
     README.Debian how to get the source package
     (closes: Bug#181576)
Files: 
 5010c550b4f3a995c6c0a88f3528f6e5 708 doc optional debiandoc-sgml-doc_1.1.14.dsc
 6b418ab40f7a748a911fe01a5df5a043 18645 doc optional debiandoc-sgml-doc_1.1.14.tar.gz
 20241467c9f683701b2df3986e322593 212186 doc optional debiandoc-sgml-doc_1.1.14_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iQCVAwUBPmp4AD6XMRfcxSjpAQG7XwP/Wyd4yWxbVbhIAo0fpMWG8armun3g/adg
4sXZL8ZhnPTSXhO3dEEjpxRC3vEAvc0sA2IlYo6epN75DUqStxMigrBYTinPPXpG
fMaFLx8U3Ig06M/ZOonRg4xdFrT0MAFKLkUzRkk58uWdXj8t6v67hipSziJMp4qS
N0DePri2S0E=
=wPzJ
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 19:49:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.